package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.UserControlEarlyWarningDTO;
import com.yx.face.model.entity.UserControlEarlyWarningList;
import com.yx.face.model.search.UserControlEarlyWarningDelete;
import com.yx.face.model.search.UserControlEarlyWarningSearch;
import com.yx.face.model.vo.UserControlEarlyWarningVO;

import java.util.List;

/**
 * <p>
 * 预警人员 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-01-24
 */
public interface UserControlEarlyWarningListService{

    /*新增或修改预警人员（根据是否有id判断）*/
    Integer addOrUpdate(UserControlEarlyWarningDTO userControlEarlyWarningDTO);

    /*批量导入预警人员*/
    RestResult<List<String>> userControlEarlyWarningListExcel(List<Object> datas ,Integer adminId);

    /*删除预警人员*/
    Integer delete(Integer controlEarlyWarningId);

    /*预警人员分页显示*/
    PageInfo<UserControlEarlyWarningVO> getPageList(RestDTO<UserControlEarlyWarningSearch> dto);

    /**
     *
     * @param deviceSn 设备编号
     * @param idNumber 身份证
     * @param faceLogId 现场照片
     */
    void addWarningInformation(String deviceSn, String idNumber, Long faceLogId);

    /*获取当前账号可看到的布控单位列表*/
    List<UserControlEarlyWarningVO> getControlUnitList();
    /*批量删除*/
    Integer batchDelete(UserControlEarlyWarningDelete userControlEarlyWarningDelete);
}
